Package org.zkoss.bind.paranamer

## Class ParameterNamesNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.bind.paranamer.ParameterNamesNotFoundException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ParameterNamesNotFoundException
      extends java.lang.RuntimeException

  Exception thrown when no parameter names are found
  Author:
    Paul Hammant, Mauro Talevi
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `__PARANAMER_DATA` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterNamesNotFoundException​(java.lang.String message)` |
    `ParameterNamesNotFoundException​(java.lang.String message, java.lang.Exception cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `getCause()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __PARANAMER_DATA

          public static final java.lang.String __PARANAMER_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParameterNamesNotFoundException

          public ParameterNamesNotFoundException​(java.lang.String message,
                                                 java.lang.Exception cause)

    - #### ParameterNamesNotFoundException

          public ParameterNamesNotFoundException​(java.lang.String message)

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `java.lang.Throwable`